Skip to content

Get​

GET
/backend/v1/agent-sessions

Authorizations​

HTTPBearer
Type
HTTP (bearer)

Parameters​

Query Parameters

cursor

Selects page for paginated results. Pass in the next or prev attribute in the response

limit

Number of results to return.

Type
integer
Default
10
Maximum
100
Minimum
1
sortBy

Sort results by the given parameter.

Type
string
Valid values
"updated_at""created_at"
Default
"updated_at"
project

Project to retrieve agent sessions for.

ascending

Whether results should be sorted in ascending order.

Type
boolean
Default
false

Responses​

Successful Response

application/json
JSON
{
  
"agentSessions": [
  
  
{
  
  
  
"fingerprints": {
  
  
  
  
"agentCount": 0,
  
  
  
  
"errors": [
  
  
  
  
  
{
  
  
  
  
  
  
"message": "string",
  
  
  
  
  
  
"providerId": "string",
  
  
  
  
  
  
"statusCode": 0,
  
  
  
  
  
  
"type": "provider"
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"status": "string",
  
  
  
  
"toolCount": 0,
  
  
  
  
"updatedAt": "string"
  
  
  
},
  
  
  
"firstPromptAt": "string",
  
  
  
"id": "string",
  
  
  
"lastPromptAt": "string",
  
  
  
"peakOutcome": "string",
  
  
  
"projectId": "string",
  
  
  
"sessionId": ""
  
  
}
  
],
  
"next": "string",
  
"prev": "string"
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI

Updated at: